<!--
	Andriy Andrusevych
	IT Generation
	Тут треба було через властивітьс offset скорегувати місце дропу. 
	Я зробив через ширину/висоту обʼєкту і все працює.
	Коли робити через offset (для події, малюнку та обʼєкту куди drop відбувається:
	img.style.left = this.offsetLeft + e.offsetLeft - img.width/2+"px")
	все рівно виникають ситуації, що не працює нормально. Зокрема, якщо знову тягнути наліво.
-->
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
		div {
			height: 300px;
			border: 1px solid black;
		}

		img {
			height: 150px;
			position: absolute;
		}
	</style>
</head>

<body>
	<div class="poligon1">
		<img src="https://media.tenor.com/gN0KlDvpzboAAAAC/bird-blue.gif" alt="" draggable="true">
	</div>
	<div class="poligon2"></div>

	<script>
		const img = document.querySelector('img');
		const poligon2 = document.querySelector('.poligon2');
		const poligon1 = document.querySelector('.poligon1');

		poligon2.addEventListener('dragover', preventEvent);
		poligon1.addEventListener('dragover', preventEvent);

		function preventEvent(e) {
			e.preventDefault();
		}

		poligon2.addEventListener('drop', dropElement);
		poligon1.addEventListener('drop', dropElement);

		function dropElement(e) {
			e.preventDefault();
			this.appendChild(img);
			img.style.left = e.clientX -img.width/2 + "px";
			img.style.top = e.clientY - img.height/2 + "px";	
		}

	</script>
</body>

</html>